<?php
/**
 * The main template file
 * @package Elegant Jewellery
 * @since 1.0.0
 */

get_header();

$elegant_jewellery_layout = elegant_jewellery_get_final_sidebar_layout();
$elegant_jewellery_column_class = ($elegant_jewellery_layout === 'right-sidebar') ? 'column-order-1' : 'column-order-2'; ?>

    <div class="header-image-box text-center">
        <div class="header-image-box-inner">
            <?php the_archive_title('<h1 class="mb-0">', '</h1>') ?> <?php the_archive_description(); ?>
        </div>
    </div>

    <!-- Elementor Active → Show Main Theme Layout -->
    <div class="archive-main-block">
        <div class="wrapper">
            <div class="column-row <?php echo esc_attr($elegant_jewellery_layout === 'no-sidebar' ? 'no-sidebar-layout' : ''); ?>">

                <div id="primary" class="content-area <?php echo esc_attr($elegant_jewellery_column_class); ?>">
                    <main id="site-content" role="main">

                        <?php
                        if ( !is_front_page() ) {
                            elegant_jewellery_breadcrumb();
                        }

                        if ( have_posts() ) : ?>

                            <div class="article-wraper article-wraper-archive">
                                <?php
                                while ( have_posts() ) :
                                    the_post();
                                    get_template_part('template-parts/content', get_post_format());
                                endwhile;
                                ?>
                            </div>

                            <?php
                            if ( is_search() ) {
                                the_posts_pagination();
                            } else {
                                do_action('elegant_jewellery_posts_pagination');
                            }

                        else :
                            get_template_part('template-parts/content', 'none');
                        endif;
                        ?>
                    </main>
                </div>

                <?php if ( $elegant_jewellery_layout !== 'no-sidebar' ) get_sidebar(); ?>

            </div>
        </div>
    </div>

<?php get_footer(); ?>
